| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# IG::Num::MatrixStore Class Reference

Matrix store. Stores matrix objects for reuse.Can be used for storage fo matrices with specific dimension (default) or for torage of any non-null matrices. More...

Inheritance diagram for IG::Num::MatrixStore:
[legend]
Collaboration diagram for IG::Num::MatrixStore:
[legend]

List of all members.

## Public Member Functions
| MatrixStore (int rowCount, int columnCount)
| Constructs a new matrix store for matrices with the specified dimensions.
| MatrixStore (int rowCount, int columnCount, bool constrainDimensions)
  | Constructs a new matrix store for matrices with the specified dimensions. If Parameters:
  constrainDimensions |
is false then store can be used for matrices with any dimensions.
## Protected Member Functions
| MatrixStore ()
| Constructs a new matrix store of unspecified dimensions.
override Matrix | TryGetNew ()
| Returns a newly created object eligible for storage, or null if such an object can not be created. This method should not throw an exception.

## Detailed Description

Matrix store.

Stores matrix objects for reuse.

Can be used for storage fo matrices with specific dimension (default) or for torage of any non-null matrices.

## Constructor & Destructor Documentation

IG::Num::MatrixStore::MatrixStore | ( |  | ) | `[inline, protected]`

Constructs a new matrix store of unspecified dimensions.

IG::Num::MatrixStore::MatrixStore | ( | int | rowCount,
|  | int | columnCount
| ) |  | `[inline]`

Constructs a new matrix store for matrices with the specified dimensions.

Parameters:

  rowCount | Number of rows of stored matrices.
  columnCount | Number of columns of stored matrices.

IG::Num::MatrixStore::MatrixStore | ( | int | rowCount,
|  | int | columnCount,
|  | bool | constrainDimensions
| ) |  | `[inline]`

Constructs a new matrix store for matrices with the specified dimensions. If

Parameters:

  constrainDimensions |

is false then store can be used for matrices with any dimensions.

Parameters:

  rowCount | Number of rows of stored matrices.
  columnCount | Number of columns of stored matrices.

## Member Function Documentation

override Matrix IG::Num::MatrixStore::TryGetNew | ( |  | ) | `[inline, protected]`

Returns a newly created object eligible for storage, or null if such an object can not be created. This method should not throw an exception.

The documentation for this class was generated from the following file:

- MatrixBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events